#
# spec file for package lua-lua-mpris
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define flavor lua51
%define mod_name lua-mpris
%define mpv_lua_flavor lua51
Version:        0.0+git20170918.28b1c75
Release:        lp150.4.8.1
Summary:        MPRIS api for lua
License:        MIT
Group:          Development/Libraries/Other
Url:            https://github.com/antlarr/lua-mpris/
Source:         lua-mpris-%{version}.tar.xz
Patch0:         0001-Fix-crash-when-media-file-doesnt-have-utf8-encoded-metadata.patch
Patch1:         0002-Replace-the-fix-for-invalid-utf-8-characters-with-a-proper-fix.patch
Patch2:         0003-Fix-table-function-renaming.patch


BuildRequires:  pkgconfig(dbus-1)
Requires:       %{flavor}
Requires:       %{flavor}-lua-dbus
%if "%{flavor}" == "lua51"
Provides:       lua-%{mod_name} = %{version}
Obsoletes:      lua-%{mod_name} < %{version}
%endif
%if "%{flavor}" == ""
Name:           lua-%{mod_name}
ExclusiveArch:  do_not_build
%else
Name:           %{flavor}-%{mod_name}
%endif

%description
MPRIS api for lua

%package -n mpv-plugin-mpris
Summary:        MPV plugin to add MPRIS support
Group:          Productivity/Multimedia/Video/Players
Requires:       %{mpv_lua_flavor}-lua-mpris
Requires:       mpv
Requires(post): mpv
Supplements:    mpv

%description -n mpv-plugin-mpris
mpv is a movie player based on MPlayer and mplayer2. It supports a wide variety
of video file formats, audio and video codecs, and subtitle types.

This package installs a lua plugin for mpv to add mpris support through a
dbus interface.

%prep
%setup -q -n lua-mpris-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build

%install
mkdir -p %{buildroot}%{lua_noarchdir}/lua-mpris
cp -Ra applet.lua client.lua init.lua %{buildroot}%{lua_noarchdir}/lua-mpris/
%if "%{flavor}" == "lua51"
mkdir -p %{buildroot}%{_datadir}/mpv-plugin-mpris
cp mpv.lua %{buildroot}%{_datadir}/mpv-plugin-mpris/
%endif

%post -n mpv-plugin-mpris
if [ "$1" = 1 ] ; then
    mkdir -p %{_sysconfdir}/mpv/scripts/
    ln -s %{_datadir}/mpv-plugin-mpris/mpv.lua %{_sysconfdir}/mpv/scripts/mpris.lua
fi

%files
%license LICENSE
%{lua_noarchdir}/lua-mpris

# Only produce during one flavor to avoid duplicate binary.
%if "%{flavor}" == "lua51"
%files -n mpv-plugin-mpris
%defattr(-,root,root)
%license LICENSE
%{_datadir}/mpv-plugin-mpris
%ghost %config %{_sysconfdir}/mpv/scripts/mpris.lua
%ghost %dir %{_sysconfdir}/mpv/scripts
%endif

%changelog
* Fri Jun 14 2019 Antonio Larrosa <alarrosa@suse.com>
- Add 0003-Fix-table-function-renaming.patch to fix an error introduced
  by bad last minute refactoring (boo#1136883).
* Fri May 31 2019 Antonio Larrosa <alarrosa@suse.com>
- Add 0002-Replace-the-fix-for-invalid-utf-8-characters-with-a-proper-fix.patch
  to properly fix boo#1136883 since the previous patch only fixed some
  cases (and broke others).
* Thu May 30 2019 Antonio Larrosa <alarrosa@suse.com>
- Add 0001-Fix-crash-when-media-file-doesnt-have-utf8-encoded-metadata.patch
  to fix crash when media file doesn't have utf8 encoded metadata
  (boo#1136883)
- Use %%license
* Mon Apr 30 2018 alarrosa@suse.com
- Since mpv uses lua 5.1, we better build mpv-plugin-mpris only
  for the lua51 flavor instead of building it only for lua53. Otherwise
  the package is useless.
* Thu Apr 26 2018 jberry@suse.com
- Only produce mpv-plugin-mpris during one flavor to avoid duplicate binary.
* Mon Oct 30 2017 jmatejek@suse.com
- do not build for Lua 5.2
* Mon Sep 18 2017 alarrosa@suse.com
- Update to version 0.0+git20170918.28b1c75:
  * Check if the table parameter of table_contains is nil
* Fri Aug 25 2017 tchvatal@suse.com
- Fix build on Tumbleweed as it otherwise still does not find the
  folder
* Wed Aug 23 2017 alarrosa@suse.com
- Add %%defattr to set the right attributes to files and don't try to
  own any mpv directory on Tumbleweed
* Mon Aug 21 2017 alarrosa@suse.com
- Install LICENSE file
* Sun Aug 20 2017 opensuse-packaging@opensuse.org
- Update to version 0.0+git20170820.2126067:
  * Initialize the mpris:artUrl and xesam:url variables for all files
* Fri Aug 18 2017 alarrosa@suse.com
- Initial release
